#pragma once

#include <common.h>

typedef struct {
    bool paused;
    bool running;
    bool die;
    u64 ticks;
    const char *app_path;
} emu_context;

int emu_run(int, char**);
emu_context *emu_get_context();

void emu_cycles(int cpu_cycles);